## org.apache.lucene.sandbox.queries.regex
Class RegexTermsEnum

    java.lang.Object
      org.apache.lucene.index.TermsEnum
          org.apache.lucene.index.FilteredTermsEnum
              org.apache.lucene.sandbox.queries.regex.RegexTermsEnum

All Implemented Interfaces:
  BytesRefIterator

    public class RegexTermsEnum

extends FilteredTermsEnum

Subclass of FilteredTermEnum for enumerating all terms that match the specified regular expression term using the specified regular expression implementation.

Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.index.FilteredTermsEnum
`FilteredTermsEnum.AcceptStatus`

Nested classes/interfaces inherited from class org.apache.lucene.index.TermsEnum
`TermsEnum.SeekStatus`

Field Summary

Fields inherited from class org.apache.lucene.index.TermsEnum
`EMPTY`

Constructor Summary
`RegexTermsEnum(TermsEnum tenum, Term term, RegexCapabilities regexCap)`

Method Summary
`protected FilteredTermsEnum.AcceptStatus` `accept(BytesRef term)`

Methods inherited from class org.apache.lucene.index.FilteredTermsEnum
`attributes, docFreq, docs, docsAndPositions, getComparator, next, nextSeekTerm, ord, seekCeil, seekExact, seekExact, seekExact, setInitialSeekTerm, term, termState, totalTermFreq`

Methods inherited from class org.apache.lucene.index.TermsEnum
`docs, docsAndPositions, seekCeil`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexTermsEnum

    public RegexTermsEnum(TermsEnum tenum,
                          Term term,
                          RegexCapabilities regexCap)

Method Detail

### accept

    protected FilteredTermsEnum.AcceptStatus accept(BytesRef term)

  Specified by:
    `accept` in class `FilteredTermsEnum`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.